List Project Roles
Returns all roles of a project matching the search query.
Required permission:
project.role.read
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.project.v2.ProjectService/ListProjectRoles" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "projectId": "string" }'{
"pagination": {
"totalResult": 0,
"appliedLimit": 0
},
"projectRoles": [
{
"projectId": "string",
"key": "string",
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"displayName": "string",
"group": "string"
}
]
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
List Project Grants
List Project Grants: Returns a list of project grants. A project grant is when the organization grants its project to another organization. Required permission:
List Projects
List Projects: List all matching projects. By default all projects of the instance that the caller has permission to read are returned. Make sure to include a limit and sorting for pagination. Required permission: